import { Editor } from "slate";
export declare const createPluginsFromConfig: (editor: Editor) => import("slate").BaseEditor & import("slate-react").ReactEditor & import("slate-history").HistoryEditor & {
    isMarkActive(format: import("..").MarkId): boolean;
    toggleMark(format: import("..").MarkId): void;
    isBlockActive(format: import("..").BlockId): boolean;
    toggleBlock(format: import("..").BlockId): void;
    isAlignActive(align: import("..").Alignment): boolean;
    toggleAlign(align: import("..").Alignment): void;
    isLinkActive(): boolean;
    insertLink(options?: {
        onOpenLinkDialog?: (callback: (link: any) => void) => void;
    }): void;
    isListActive(listType?: "unordered" | "ordered"): boolean;
    toggleList(listType: "unordered" | "ordered"): void;
    indentList(): void;
    outdentList(): void;
    insertHorizontalRule(): void;
    stripFormatting(): void;
};
